//
//  SearchForResultViewController.swift
//  buttonDemo
//
//  Created by zx on 1976/4/1.
//  Copyright © 2018年 zx. All rights reserved.
//

import UIKit

class SearchForResultViewController: UIViewController {

    let schoolArray = ["清华大学","北京大学","中国人民大学","北京交通大学","北京工业大学",
                       "北京航空航天大学","北京理工大学","北京科技大学","中国政法大学","中央财经大学","华北电力大学",
                       "北京体育大学","上海外国语大学","复旦大学","华东师范大学","上海大学","河北工业大学"]
    let mtableView = UITableView()
    var searchController : UISearchController!
    override func viewDidLoad() {
        super.viewDidLoad()
        mtableView.frame = CGRect(x: 0, y: 0, width: UIScreen.main.bounds.width, height: UIScreen.main.bounds.height)
        mtableView.separatorStyle = .none
        mtableView.delegate = self
        mtableView.dataSource = self
        view.addSubview(mtableView)
        searchController = UISearchController(searchResultsController: SearchResultView())
        // Do any additional setup after loading the view.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}

extension SearchForResultViewController : UITableViewDelegate,UITableViewDataSource{
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return schoolArray.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        var cell = tableView.dequeueReusableCell(withIdentifier: "MyCell")
        if cell == nil{
            cell = UITableViewCell(style: .default, reuseIdentifier: "MyCell")
        }
        cell?.textLabel?.text = schoolArray[indexPath.row]
        return cell!
    }
    
    
}
