//
//  ViewButton.swift
//  buttonDemo
//
//  Created by zx on 1976/4/1.
//  Copyright © 2018年 zx. All rights reserved.
//

import UIKit

class ViewButton: UIViewController,UIGestureRecognizerDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        view.backgroundColor = UIColor.white
        let viewBtn = UIView(frame: CGRect(x: 20, y: (navigationController?.navigationBar.bounds.height)!+UIApplication.shared.statusBarFrame.height, width: UIScreen.main.bounds.width-40, height: 40))
        viewBtn.layer.borderColor = UIColor.red.cgColor
        viewBtn.layer.borderWidth = 2
        viewBtn.layer.cornerRadius = 15
        let gestureOption = UITapGestureRecognizer()
        gestureOption.delegate = self
        gestureOption.isEnabled = true
        gestureOption.addTarget(self, action: #selector(touched))
        let topColor = UIColor(red: 0xfe/255, green: 0xd3/255, blue: 0x2f/255, alpha: 1)
        let buttomColor = UIColor(red: 0xfc/255, green: 0x68/255, blue: 0x20/255, alpha: 1)
        let gradientColors = [topColor.cgColor,buttomColor.cgColor]
        let gradientLayer = CAGradientLayer()
        let gradientLocations :[NSNumber] = [0.0,1.0]
        gradientLayer.colors = gradientColors
        gradientLayer.locations = gradientLocations
        gradientLayer.cornerRadius = 15
        gradientLayer.frame = CGRect(x: 0, y: 0, width: viewBtn.frame.width, height: viewBtn.frame.height)
        viewBtn.layer.insertSublayer(gradientLayer, at: 0)
        
        viewBtn.addGestureRecognizer(gestureOption)
        viewBtn.isUserInteractionEnabled = true
        view.addSubview(viewBtn)
        //view.addInteraction(viewBtn)
        // Do any additional setup after loading the view.
    }

    @objc func touched(){
        print("添加了viewed点击事件")
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
